import React from "react";
import CheckRecord from "@/webPublic/FormInsertDiy/ExportComponent/CheckRecord"; // 查询类
import Apply from "@/webPublic/FormInsertDiy/AffairPage/ApplyPage"; // 申请
import BatchAudit from "@/webPublic/FormInsertDiy/AffairPage/AuditPage/BatchAudit"; // 批量审批
import Audit from "@/webPublic/FormInsertDiy/AffairPage/AuditPage/index.js"; // 审批
import Detail from "@/webPublic/FormInsertDiy/AffairPage/Detail"; //详情
export default function ActiveMenuComponent({
                                              routerConfig,
                                              ...otherProps
                                            }) {
  const { component = "", appId } = routerConfig;

  switch (component) {
    case "CheckRecord": // 查询类应用
      return <CheckRecord workId={appId} location={routerConfig} />;
    case "Apply": // 申请类
      return <Apply location={routerConfig}
                    workId={appId} />;
    case "Audit": // 审批类
      return <Audit location={routerConfig}
                    workId={appId} />;
    case "BatchAudit": // 批量审批
      return <Audit location={routerConfig}
                    workId={appId} />;
    case "Detail": // 详情
      return <Detail location={routerConfig}
                     {...otherProps} />;
    default:
      console.log(component, '没有找到此组件');
      return <div>暂无此功能</div>;
  }

}
